/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.worklog.entity;


import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.modules.sys.entity.Area;
import com.jeeplus.modules.workclientinfo.entity.WorkClientAttachment;

import java.util.Date;
import java.util.List;


public class WorkLog extends DataEntity<WorkLog> {

	private static final long serialVersionUID = 1L;
	private String projectId;		// 项目编号
	private String logType;     //日志类型
	private Date startDate;     //日期
	private Area area;      //区域
	private String address;   //详细地址
	private String weather;  //天气
	private String lowTem; //低温
	private String highTem; //高温
	private String theme;    //日志主题
	private String content;   //内容
	private String wind;

	public String getWind() {
		return wind;
	}

	public void setWind(String wind) {
		this.wind = wind;
	}

	public String getLogType() {
		return logType;
	}

	public void setLogType(String logType) {
		this.logType = logType;
	}

	public Date getStartDate() {
		return startDate;
	}

	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}



	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getWeather() {
		return weather;
	}

	public void setWeather(String weather) {
		this.weather = weather;
	}

	public String getLowTem() {
		return lowTem;
	}

	public void setLowTem(String lowTem) {
		this.lowTem = lowTem;
	}

	public String getHighTem() {
		return highTem;
	}

	public void setHighTem(String highTem) {
		this.highTem = highTem;
	}

	public String getTheme() {
		return theme;
	}

	public void setTheme(String theme) {
		this.theme = theme;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}


	public WorkLog() {
		super();
	}

	public WorkLog(String id){
		super(id);
	}


	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}

	public Area getArea() {
		return area;
	}

	public void setArea(Area area) {
		this.area = area;
	}
}